Exports
List exports
Returns paginated list of your export jobs.
GET
/
v1
/
exports
Python (ticksupply library)
# pip install ticksupply
from ticksupply import Client
client = Client(api_key="<api-key>")
page = client.exports.list()
print(page)
// cargo add ticksupply
// cargo add tokio --features full
use ticksupply::Client;
#[tokio::main]
async fn main() -> ticksupply::Result<()> {
let client = Client::with_api_key("<api-key>")?;
let page = client.exports().list().send().await?;
println!("{page:#?}");
Ok(())
}
curl --request GET \
--url https://api.ticksupply.com/v1/exports \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ticksupply.com/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "exp_0194a1b2c3d4e5f6a7b8c9d0e1f2a3b4",
"datastream_id": 123,
"start_time": 1704067200000000000,
"end_time": 1704153600000000000,
"format": "csv",
"format_options": {},
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"next_page_token": "<string>"
}{
"error": {
"code": "unauthenticated",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "request_timeout",
"message": "Request exceeded 10s deadline"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry after 30 seconds."
}
}{
"error": {
"code": "internal",
"message": "An internal error occurred"
}
}Authorizations
Your API key. Get one from the dashboard at https://app.ticksupply.com/api-keys
Query Parameters
Maximum number of items to return (1-100)
Required range:
1 <= x <= 100Cursor for pagination. Use next_page_token from previous response.
Last modified on February 6, 2026
Was this page helpful?
⌘I
Python (ticksupply library)
# pip install ticksupply
from ticksupply import Client
client = Client(api_key="<api-key>")
page = client.exports.list()
print(page)
// cargo add ticksupply
// cargo add tokio --features full
use ticksupply::Client;
#[tokio::main]
async fn main() -> ticksupply::Result<()> {
let client = Client::with_api_key("<api-key>")?;
let page = client.exports().list().send().await?;
println!("{page:#?}");
Ok(())
}
